Query by one property and one value ("simple queries") (tracking)
OpenPublic

Assigned To
None
Priority
High
Author
Denny
Blocks
T52911: Support transitive queries
T54387: Special page for querying by one property and value
T4007: Tracking bug - Do Not Use; superseded by the #Tracking tag
Blocked By
T73505: [Task] Adapt build script for entity store
T73500: [Task] DBAL adapter for QueryInterface in WB DB
T73501: [Task] Update QueryEngine to use WB DB again
T73499: Revive WikibaseDatabase
T66431: Database error when adding the same value twice
T69536: security review of WikibaseQueryEngine
T69535: performance review of WikibaseQueryEngine
T69534: performance review of WikibaseQuery
T69533: security review of WikibaseQuery
T65940: Add DataValueHandler for 'Quantity'
T64187: Fix magical SQLITE index bug
T69080: implement range queries for uncertain values (geo, time, quantities)
T65608: Decide on limit and offset limits for EntitiesByPropertyValue API
T62127: Implement DB schema for query indexes
T65477: Actually support novalue and somevalue snaks in queries (tracking)
T65476: Add DVHandler for Time values
T66895: consider deprecated and preferred rank in queries
T68421: Create script that generates schema creation SQL
T66605: Investigate if we can use "continue" instead of "offset" for EntitiesByPropertyValue API
T66606: Add DV Handler for Globe Coordinates
T66600: write script that touches every item and thereby updates database tables
T58094: Setup, and test simple query functionality on internal test system
T57593: UI for Simple Query
Subscribers
Wikidata-bugs, greg, Bene and 13 others
Projects
Tokens
"Like" token, awarded by Kozuch.
Security
None
Reference
bz52385
Description

Tracking bug for simple queries. The queries are not stored yet in query entities, but directly executed. They allow to get all item ids who have a main snak with the given property and the value with the given property. Qualifiers and references are ignored.

This required the back end work, storing and updating the data in the respective secondary storage, querying that storage, an API module to give access to this, a special page for querying it.


Version: unspecified
Severity: major

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz52385.
Denny created this task.Via LegacyAug 1 2013, 11:29 AM
Lydia_Pintscher added a comment.Via ConduitNov 5 2013, 7:43 PM
  • Bug 50812 has been marked as a duplicate of this bug. ***
Aklapper added a comment.Via ConduitDec 4 2013, 2:04 PM

Note: This has been highest priority (set by Lydia) for four weeks now.

Aklapper added a comment.Via ConduitMar 5 2014, 1:55 PM

Note: This has been highest priority (set by Lydia) for four months now.
Maybe the ticket's dependencies should be highest priority instead?

jeblad added a comment.Via ConduitNov 12 2014, 6:21 AM

What is the present status on this?

Lydia_Pintscher added a comment.Via ConduitNov 12 2014, 11:13 AM

There are remaining bugs that need to be worked on. See the blockers. Then it needs to go through review at the Wikimedia Foundation again. I hope we have the main remaining blockers done in this and the next sprint.

kaldari added a comment.Via ConduitNov 12 2014, 11:58 PM

Thanks for the update Lydia. Can you specify which of the "depends on" bugs are actual blockers? That will make it easier for external folks to get an idea of the actual status of things.

Lydia_Pintscher added a comment.Via ConduitNov 13 2014, 11:32 AM

bug 67533, bug 67534, bug 67535, bug 67536, bug 71499, bug 71500, bug 71501, bug 71505 are the remaining blockers I know but more might pop up.

Snipre added a subscriber: Snipre.Via WebNov 29 2014, 11:52 AM
Lydia_Pintscher added a project: Wikidata.Via WebDec 1 2014, 2:23 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Kozuch awarded a token.Via WebDec 17 2014, 8:01 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebDec 19 2014, 12:06 AM
Lydia_Pintscher set Security to None.
Aklapper added a comment.Via WebJan 20 2015, 6:15 PM

Meta comment: This has been "Highest" priority since 2013 (and hence has become "Unbreak now" priority in Phabricator). That sounds pretty unrealistic and I might remove that priority to have less clutter in the global "Unbreak now" search results.

Lydia_Pintscher lowered the priority of this task from "Unbreak Now!" to "High".Via WebJan 20 2015, 7:24 PM
kaldari changed the title from "Query by one property and one value (tracking)" to "Query by one property and one value ("simple queries") (tracking)".Via WebFeb 25 2015, 11:39 PM
kaldari added a comment.Via WebFeb 25 2015, 11:50 PM

It doesn't look like there has been any activity on any of the blockers for this bug in the past few months. Has this feature been deprioritized or abandoned in favor of Wikidata query service? We (WMF Mobile Web) would still really love to be able to use this feature in the short term if at all possible. If there's anything we can do to help, please let us know.

Lydia_Pintscher added a comment.Via WebFeb 26 2015, 8:24 AM

Yes this is on hold until further notice. We've put a ton of work into this feature that was dismissed in review before deployment. I can't put any more resources into moving this forward at this point if it is not even clear we will need it once the query service is working. Data quality tasks (ticket 76230) are highest priority for us at this point.

Lydia_Pintscher moved this task to backlog on the Wikidata workboard.Via WebMar 16 2015, 10:10 AM
hoo closed blocking task T73499: Revive WikibaseDatabase as "Declined".Via WebMar 26 2015, 4:13 PM
Lydia_Pintscher added a project: Epic.Via WebJun 23 2015, 3:33 PM
Restricted Application added a project: Discovery. · View Herald TranscriptVia HeraldJun 23 2015, 3:33 PM

Add Comment